Bug 1013025 - Windows XP: Slow Network Start because of BallonService
Windows XP: Slow Network Start because of BallonService
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: virtio-win (Show other bugs)
19
i386 Windows
unspecified Severity low
: ---
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 11:49 EDT by Jorge Fábregas
Modified: 2015-01-09 23:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-09 23:25:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
winxp build71 balloon&vioserial driver (2.29 MB, application/zip)
2013-09-28 12:09 EDT, Mike Cao
no flags Details

  None (edit)
Description Jorge Fábregas 2013-09-27 11:49:49 EDT
Description of problem:

I'm running Fedora 19 (with Virtualization Preview Repo, fully updated) and, on a newly installed Windows XP SP3 VM, after isntalling the SPICE guest tools (0.59) the network takes 1.5 minutes to start.  I enabled the "show icon in notification area when connected" on the guest NIC and when you restart Windows, right after the Desktop appears, it takes 1 minute, 32 seconds for the network icon to appear.

After some trial & error I found out the BallonService to be the culprit. If I set the service to "disabled" and restart the VM the network starts right away.

I reinstalled the Windows VM in order to recreate the issue and was able to do so.

Version-Release number of selected component (if applicable):

On Guest:

VirtIO SCSI Controller (Driver Version):  51.65.104.6500
VirtIO Ethernet Adapter (Driver Version): 51.65.104.6500
SPICE Guest Tools:  0.59

On Host:

# rpm -qa | egrep '(virt|qemu|kernel|spice)'
libvirt-gobject-0.1.6-1.fc19.x86_64
libvirt-client-1.1.2-4.fc19.x86_64
qemu-system-x86-1.6.0-8.fc19.x86_64
libvirt-daemon-driver-libxl-1.1.2-4.fc19.x86_64
abrt-addon-kerneloops-2.1.7-1.fc19.x86_64
spice-server-0.12.4-2.fc19.x86_64
libvirt-daemon-driver-secret-1.1.2-4.fc19.x86_64
libvirt-1.1.2-4.fc19.x86_64
libvirt-daemon-driver-nwfilter-1.1.2-4.fc19.x86_64
kernel-modules-extra-3.10.11-200.fc19.x86_64
libvirt-daemon-driver-network-1.1.2-4.fc19.x86_64
ipxe-roms-qemu-20130517-3.gitc4bce43.fc19.noarch
spice-glib-0.20-2.fc19.x86_64
libvirt-daemon-driver-nodedev-1.1.2-4.fc19.x86_64
libvirt-daemon-config-nwfilter-1.1.2-4.fc19.x86_64
qemu-guest-agent-1.6.0-8.fc19.x86_64
kernel-3.10.11-200.fc19.x86_64
spice-vdagent-0.14.0-5.fc19.x86_64
libvirt-python-1.1.2-4.fc19.x86_64
qemu-kvm-1.6.0-8.fc19.x86_64
libvirt-daemon-driver-storage-1.1.2-4.fc19.x86_64
libvirt-daemon-driver-xen-1.1.2-4.fc19.x86_64
virt-install-0.10.0-3.gita2e52067.fc19.noarch
libvirt-daemon-1.1.2-4.fc19.x86_64
libvirt-daemon-driver-lxc-1.1.2-4.fc19.x86_64
libvirt-daemon-kvm-1.1.2-4.fc19.x86_64
kernel-modules-extra-3.9.5-301.fc19.x86_64
libvirt-daemon-driver-interface-1.1.2-4.fc19.x86_64
virt-viewer-0.5.6-1.fc19.x86_64
libvirt-daemon-config-network-1.1.2-4.fc19.x86_64
libvirt-daemon-driver-qemu-1.1.2-4.fc19.x86_64
libvirt-gconfig-0.1.6-1.fc19.x86_64
libreport-plugin-kerneloops-2.1.7-1.fc19.x86_64
libgovirt-0.1.0-1.fc19.x86_64
kernel-3.9.5-301.fc19.x86_64
spice-gtk3-0.20-2.fc19.x86_64
qemu-img-1.6.0-8.fc19.x86_64
virt-manager-common-0.10.0-3.gita2e52067.fc19.noarch
libvirt-daemon-driver-vbox-1.1.2-4.fc19.x86_64
virt-manager-0.10.0-3.gita2e52067.fc19.noarch
libvirt-glib-0.1.6-1.fc19.x86_64
qemu-common-1.6.0-8.fc19.x86_64
libvirt-daemon-driver-uml-1.1.2-4.fc19.x86_64




How reproducible:

Always


Steps to Reproduce:

(I used WinXP x86 media that already had Service Pack 3 applied)

1) install VM with:

virt-install \
--name WinXP-demo \
--os-variant winxp \
--ram 1024 \
--disk path=/var/lib/libvirt/images/winxpdemo-base.qcow2,bus=virtio,format=qcow2,cache=unsafe,size=8 \
--disk path=/var/lib/libvirt/isos/viostor-0.1-65-floppy.img,device=floppy \
--cdrom /var/lib/libvirt/isos/SW_CD_Windows_XP_Professional_32BIT_SP3.ISO \
--network network=default,model=virtio


2) First thing right after installation: Install virtio driver for NIC (Device Manager --> NIC --> Update driver and then insert virtio CD...)

3) Download WindowsUpdateAgent30-x86 here:
http://download.windowsupdate.com/windowsupdate/redist/standalone/7.2.6001.788/windowsupdateagent30-x86.exe

...and install it by:
  a) net stop wuauserv
  b) WindowsUpdateAgent30-x86.exe /wuforce /norestart
  c) net start bits

p.d. we do all this is because if you run WindowsUpdate right after install it won't work.

4) Install IE8 for XP here:
http://www.microsoft.com/en-us/download/internet-explorer-8-details.aspx

p.d. this is also due to a bug where, when you run the update, it stays "Checking for Update" for minutes & minutes...

5) Finally go to WindowsUpdate:
  a) apply all 120+ updates
  b) restart
  c) apply remaining 2 updates on WindowsUpdate
  d) restart

6) Activate "Show icon in notification area when connected" on GUEST NIC properties.  (so that we know when it comes up)

7) install SPICE Guest Tools 0.59 & restart

Actual results:

Network takes more than 1 minute to start


Expected results:

Network should come up right after the Desktop appears (a couple of seconds after).


Additional info:


If you disable the BallonService on the guest & restart, the network comes up normally.
Comment 1 Mike Cao 2013-09-28 10:17:44 EDT
Can you try latest virito-win-prewhql build (build 71) ,I think Vadim has fixed a balloon service bug recently .

Mike
Comment 2 Jorge Fábregas 2013-09-28 10:31:00 EDT
Hi,

Can you please point me to the executable (build 71)?  I'm new to SPICE...

Thanks,
Jorge
Comment 3 Mike Cao 2013-09-28 10:35:48 EDT
I think this bug is duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1000158 .

Regarding to build71 .It will be released after RHEL6.5 GA ,I am not sure how you can get it in fedora website .Ronen ?
Comment 4 Jorge Fábregas 2013-09-28 10:39:02 EDT
On my system , when enabled, the BallonService is not a 100% (during the first 1.5 minute where network doesn't come up).
Comment 5 Ronen Hod 2013-09-28 11:41:02 EDT
Mike,

Can you please send Jorge the files. It is OK with us.
Indeed we are not updating the Fedora drivers yet.

Thanks, Ronen.
Comment 6 Mike Cao 2013-09-28 12:09:05 EDT
Created attachment 804456 [details]
winxp build71 balloon&vioserial driver

Pls find the driver in attachment
Comment 7 Jorge Fábregas 2013-09-30 09:21:57 EDT
Hi,

Thanks for the files.  I tried them now but still the same behaviour after a restart.

I first tried to install the files by executing the .exe files on the extracted zip but recieved this message:

StartServiceCtrlDispatcher failed, error code = 1063

I then proceeded to take all the files from the extracted zip and moved them to :

C:\Program Files\SPICE Guest Tools\drivers\winxp\x86\

...overriding existing ones (BallongService was down).  I restarted the machine but still the same behaviour (network takes about 1.5 minute to start).

-- 
Jorge
Comment 8 Vadim Rozenfeld 2013-10-01 04:07:36 EDT
(In reply to Jorge Fábregas from comment #7)
> Hi,
> 
> Thanks for the files.  I tried them now but still the same behaviour after a
> restart.
> 
> I first tried to install the files by executing the .exe files on the
> extracted zip but recieved this message:
> 
> StartServiceCtrlDispatcher failed, error code = 1063
> 
> I then proceeded to take all the files from the extracted zip and moved them
> to :
> 
> C:\Program Files\SPICE Guest Tools\drivers\winxp\x86\
> 
> ...overriding existing ones (BallongService was down).  I restarted the
> machine but still the same behaviour (network takes about 1.5 minute to
> start).
> 
> -- 
> Jorge

Thanks Jorge,
I'm going recheck it again.
Mike, can we try to reproduce this problem on our setup?

Best regards,
Vadim.
Comment 9 Fedora End Of Life 2015-01-09 17:19:03 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.